package com.brilliance.isc.mda.dao;

import com.brilliance.isc.common.rmbbop.entity.Tdo;
import org.apache.ibatis.annotations.Mapper;

import java.util.Collection;
import java.util.List;
import java.util.Map;

@Mapper
public interface TdoMapper {

    int insert(Tdo record);

    int insertSelective(Tdo record);

    int updateByPrimaryKeySelective(Tdo record);

    int updateByPrimaryKey(Tdo record);

    int deleteByPrimaryKey(Tdo record);

    int deleteByIds(Collection<Object> collection);

    Tdo selectByPrimaryKey(Tdo record);

    int dyncDelete(Map<String, Object> dyncMap);

    List<Tdo> dyncRead(Map<String, Object> dyncMap);

    Tdo selectTdoByOwnref(String banktrano);
}
